Package com.avaya.clientservices.call.feature

## Enum AutodialError

- java.lang.Object
- - java.lang.Enum<AutodialError>
  - - com.avaya.clientservices.call.feature.AutodialError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AutodialError>`

      public enum AutodialError
      extends java.lang.Enum<AutodialError>

  Errors generated for autodial operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_FAILED` | The user's userid or password is invalid.
    `BACKEND_SOURCE_NOT_CONNECTABLE` | Unable to connect to server/source (server down, email client not installed, etc).
    `BUTTON_NOT_FOUND` | The request from the endpoint is for a button that has been deleted on server.
    `CONFIGURATION_MISMATCH` | Extension not configured on the server or internal server error.
    `DATABASE_ERROR` | The operation failed due to database error.
    `DATABASE_NOT_ACCESSIBLE` | Unable to access the database.
    `DIGEST_MISMATCH` | Digest Authentication failed.
    `FAILURE_UNKNOWN_REASON` | Autodial operation failed for unknown reason.
    `HANDLE_INVALID` | Missing or invalid provider handle.
    `INTERNAL_ERROR` | Unexpected exception in processing the request.
    `INVALID_VALUE` | Invalid field value.
    `NO_LIST_AVAILABLE` | The request from the endpoint did not contain any data.
    `NOT_IM_USER` | Requested user does not exist in the Enterprise database.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `REQUEST_TIMEOUT` | Communication server is reachable, but request timed out.
    `RETRY` | Provider is busy.
    `SECURE_CONNECTION_FAILED` | Some problem connecting related to secure network problems such as certificates missing.
    `UPDATE_IN_PROGRESS` | Autodial update operation is in progress already.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AutodialError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AutodialError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILURE_UNKNOWN_REASON

          public static final AutodialError FAILURE_UNKNOWN_REASON

      Autodial operation failed for unknown reason.

    - #### UPDATE_IN_PROGRESS

          public static final AutodialError UPDATE_IN_PROGRESS

      Autodial update operation is in progress already.

    - #### BACKEND_SOURCE_NOT_CONNECTABLE

          public static final AutodialError BACKEND_SOURCE_NOT_CONNECTABLE

      Unable to connect to server/source (server down, email client not installed, etc).

    - #### AUTHENTICATION_FAILED

          public static final AutodialError AUTHENTICATION_FAILED

      The user's userid or password is invalid.

    - #### SECURE_CONNECTION_FAILED

          public static final AutodialError SECURE_CONNECTION_FAILED

      Some problem connecting related to secure network problems such as certificates missing. Unable to create a secure connection to the server. This may be caused by missing or invalid certificates.

    - #### REQUEST_TIMEOUT

          public static final AutodialError REQUEST_TIMEOUT

      Communication server is reachable, but request timed out.

    - #### INTERNAL_ERROR

          public static final AutodialError INTERNAL_ERROR

      Unexpected exception in processing the request.

    - #### DATABASE_NOT_ACCESSIBLE

          public static final AutodialError DATABASE_NOT_ACCESSIBLE

      Unable to access the database. This may be due to invalid credential or the database is down.

    - #### DATABASE_ERROR

          public static final AutodialError DATABASE_ERROR

      The operation failed due to database error.

    - #### CONFIGURATION_MISMATCH

          public static final AutodialError CONFIGURATION_MISMATCH

      Extension not configured on the server or internal server error.

    - #### NOT_IM_USER

          public static final AutodialError NOT_IM_USER

      Requested user does not exist in the Enterprise database.

    - #### INVALID_VALUE

          public static final AutodialError INVALID_VALUE

      Invalid field value.

    - #### NO_LIST_AVAILABLE

          public static final AutodialError NO_LIST_AVAILABLE

      The request from the endpoint did not contain any data.

    - #### BUTTON_NOT_FOUND

          public static final AutodialError BUTTON_NOT_FOUND

      The request from the endpoint is for a button that has been deleted on server.

    - #### RETRY

          public static final AutodialError RETRY

      Provider is busy. Retry later

    - #### HANDLE_INVALID

          public static final AutodialError HANDLE_INVALID

      Missing or invalid provider handle.

    - #### DIGEST_MISMATCH

          public static final AutodialError DIGEST_MISMATCH

      Digest Authentication failed. This may be due to nonce mismatch or mechanism not supported.

    - #### PROXY_CONNECTION_ERROR

          public static final AutodialError PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final AutodialError PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

  - ### Method Detail

    - #### values

          public static AutodialError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutodialError c : AutodialError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutodialError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null